org.apache.ignite.internal.visor.node

## Class VisorAtomicConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorAtomicConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorAtomicConfiguration
    extends Object
    implements Serializable

Data transfer object for configuration of atomic data structures.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorAtomicConfiguration()`

### Method Summary

Methods
`int` `atomicSequenceReserveSize()`
`void` `atomicSequenceReserveSize(int seqReserveSize)`
`int` `backups()`
`void` `backups(int backups)`
`CacheMode` `cacheMode()`
`void` `cacheMode(CacheMode cacheMode)`
`static VisorAtomicConfiguration` `from(AtomicConfiguration src)` Create data transfer object for atomic configuration.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorAtomicConfiguration

    public VisorAtomicConfiguration()

### Method Detail

#### from

    public static VisorAtomicConfiguration from(AtomicConfiguration src)

Create data transfer object for atomic configuration.

Parameters:
  `src` - Atomic configuration.
Returns:
  Data transfer object.

#### atomicSequenceReserveSize

    public int atomicSequenceReserveSize()

Returns:
  Atomic sequence reservation size.

#### atomicSequenceReserveSize

    public void atomicSequenceReserveSize(int seqReserveSize)

Parameters:
  `seqReserveSize` - Atomic sequence reservation size.

#### cacheMode

    public CacheMode cacheMode()

Returns:
  Cache mode.

#### cacheMode

    public void cacheMode(CacheMode cacheMode)

Parameters:
  `cacheMode` - Cache mode.

#### backups

    public int backups()

Returns:
  Number of backup nodes.

#### backups

    public void backups(int backups)

Parameters:
  `backups` - Number of backup nodes.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015